plaintiff:
- KENSLAND REALTY LIMITED
defendant:
- TAI, TANG CHONG
jurisdiction_code: HKCFA
jurisdiction_name: Court of Final Appeal of the Hong Kong Special Administrative Region
case_location:
- 香港特別行政區
- Hong Kong Special Administrative Region
case_reason: >-
  Kensland Realty Limited appeals against the Court of Appeal's decision dismissing its action for damages
  against its former solicitors, TTC, as time-barred under the Limitation Ordinance.
case_object:
- action for damages for negligence
judgment_result: []
judgment_summary: >-
  Kensland Realty Limited sued its former solicitors, TTC, for negligence in advising it regarding a property
  transaction. The Court found Kensland's action time-barred under the Limitation Ordinance as the cause
  of action accrued more than six years ago. Key legal analysis focused on whether Kensland had 'knowledge
  required for bringing an action' within that period, which was deemed not to be the case.
involved_entities:
- entity_name: KENSLAND REALTY LIMITED
  reason: Plaintiff in the case.
- entity_name: TAI, TANG CHONG
  reason: Defendant in the case.
- entity_name: Mr Justice Bokhary PJ
  reason: Presiding judge in this case, responsible for fact-finding and adjudication.
- entity_name: Mr Justice Chan PJ
  reason: Presiding judge in this case, responsible for fact-finding and adjudication.
- entity_name: Mr Justice Ribeiro PJ
  reason: Presiding judge in this case, responsible for fact-finding and adjudication.
- entity_name: Sir Noel Power NPJ
  reason: Presiding judge in this case, responsible for fact-finding and adjudication.
- entity_name: Mr Justice McHugh NPJ
  reason: Presiding judge in this case, responsible for fact-finding and adjudication.
